Jump to content

Recommended Posts

Решил на тестовом устройстве выполнить установку с 0... все по пунктам в итоге HASS не запускается вообще. Видимо какие-то обновления вышли, а HASS нет.

Link to comment
Share on other sites

echo "src/gz ha http://bin.entware.net/mipselsf-k3.4/test/HA" >> /opt/etc/opkg.conf
opkg update
opkg install gcc ldd make gawk sed patch diffutils coreutils-install libffi
source /opt/bin/gcc_env.sh
opkg install homeassistant

~ # /opt/etc/init.d/S99hass start
 Starting hass...              done.
~ # /opt/etc/init.d/S99hass status
 Checking hass...              dead.
~ # hass --debug -c /opt/var/lib/homeassistant
Traceback (most recent call last):
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
pkg_resources.ContextualVersionConflict: (requests 2.26.0 (/opt/lib/python3.9/site-packages), Requirement.parse('requests==2.25.1'), {'homeassistant'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/bin/hass", line 33, in <module>
    sys.exit(load_entry_point('homeassistant==2021.8.6', 'console_scripts', 'hass')())
  File "/opt/lib/python3.9/site-packages/homeassistant/__main__.py", line 280, in main
  File "/opt/lib/python3.9/site-packages/homeassistant/__main__.py", line 61, in get_arguments
  File "/opt/lib/python3.9/site-packages/homeassistant/config.py", line 18, in <module>
  File "/opt/lib/python3.9/site-packages/homeassistant/auth/__init__.py", line 18, in <module>
  File "/opt/lib/python3.9/site-packages/homeassistant/auth/mfa_modules/__init__.py", line 12, in <module>
  File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 13, in <module>
  File "/opt/lib/python3.9/site-packages/homeassistant/util/package.py", line 13, in <module>
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
  File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
pkg_resources.DistributionNotFound: The 'requests==2.25.1' distribution was not found and is required by homeassistant

после pip install requests==2.25.1 выдает еще ошибки в версиях компонентов, устанавливал... ничего не выходит

Edited by al12s
Link to comment
Share on other sites

bump to 2021.9.4

screen_2021-09-07_13:50:55_ha.png

added homeassistant-cli

~ # 
~ # hass-cli --version
hass-cli, version 0.9.4
~ # 
Скрытый текст

 

~ # 
~ # hass-cli info
BASE_URL                   LOCATION        REQUIRES_API_PASSWORD    VERSION
http://ip.add.re.ss:8123  Home Assistant  True                     2021.9.4
~ # 
~ # hass-cli state list
ENTITY                                          DESCRIPTION                          STATE          CHANGED
person.tester                                   tester                               unknown        2021-09-07T10:22:41.968862+00:00
sun.sun                                         Sun                                  above_horizon  2021-09-07T10:22:53.604363+00:00
zone.home                                       Home Assistant                       zoning         2021-09-07T10:22:58.983330+00:00
binary_sensor.updater                           Updater                              off            2021-09-07T10:23:00.182321+00:00
weather.home_assistant                          Home Assistant                       cloudy         2021-09-07T10:23:11.473795+00:00
binary_sensor.keenetic_viva_kn_1910_online      Keenetic Viva (KN-1910) Online       on             2021-09-07T10:23:11.619045+00:00
device_tracker.keenetic_ultra_ii                Keenetic Ultra II                    home           2021-09-07T10:23:12.152176+00:00
binary_sensor.keenetic_gateway_wan_status       Keenetic Gateway wan status          on             2021-09-07T10:23:15.127582+00:00
sensor.keenetic_gateway_b_received              Keenetic Gateway B received          834071218      2021-09-07T10:42:16.287210+00:00
sensor.keenetic_gateway_b_sent                  Keenetic Gateway B sent              3172951906     2021-09-07T10:42:16.288883+00:00
sensor.keenetic_gateway_packets_received        Keenetic Gateway packets received    15193888       2021-09-07T10:42:16.290713+00:00
sensor.keenetic_gateway_packets_sent            Keenetic Gateway packets sent        18617328       2021-09-07T10:42:16.292312+00:00
sensor.keenetic_gateway_kib_s_received          Keenetic Gateway KiB/s received      1.1            2021-09-07T10:42:16.294344+00:00
sensor.keenetic_gateway_kib_s_sent              Keenetic Gateway KiB/s sent          1.2            2021-09-07T10:42:16.296183+00:00
sensor.keenetic_gateway_packets_s_received      Keenetic Gateway packets/s received  7.9            2021-09-07T10:42:16.297981+00:00
sensor.keenetic_gateway_packets_s_sent          Keenetic Gateway packets/s sent      11.5           2021-09-07T10:42:16.299938+00:00
persistent_notification.config_entry_discovery  New devices discovered               notifying      2021-09-07T10:25:12.719496+00:00
~ # 
~ # hass-cli device list
ID                                NAME                          MODEL             MANUFACTURER    AREA
idididididididididididididididid  Forecast                      Forecast          Met.no
idididididididididididididididid  Keenetic Gateway              Keenetic Gateway  Keenetic Ltd.
idididididididididididididididid  Keenetic Viva (KN-1910)       Viva (KN-1910)    Keenetic Ltd.
idididididididididididididididid  Keenetic Ultra II             None              None
~ #

 

 

Link to comment
Share on other sites

TheBB, спасибо за обновление,

обновился удачно, всё работает !

только hass-cli не находится

Скрытый текст

~ # /opt/etc/init.d/S99hass start
 Starting hass...              done.
~ # hass-cli --version
-sh: hass-cli: not found
~ # hass-cli info
-sh: hass-cli: not found
~ # hass-cli state list
-sh: hass-cli: not found
~ # hass-cli device list
-sh: hass-cli: not found
~ #
 

 

Link to comment
Share on other sites

~ # opkg update
Downloading http://bin.entware.net/mipselsf-k3.4/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/entware
Downloading http://bin.entware.net/mipselsf-k3.4/keenetic/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keendev
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/ha
~ # opkg info homeassistant-cli
Package: homeassistant-cli
Version: 0.9.4-1
Depends: libc, libssp, librt, libpthread, python3-aiohttp, python3-click-log, python3-click, python3-dateparser, python3-jinja2, python3-jsonpath-ng, python3-netdisco, python3-regex, python3-ruamel-yaml, python3-requests, python3-tabulate
Status: unknown ok not-installed
Section: utils
Architecture: mipsel-3.4
Size: 53017
Filename: homeassistant-cli_0.9.4-1_mipsel-3.4.ipk
Description: The Home Assistant Command-line interface (hass-cli) allows one to work with
 a local or a remote Home Assistant Core or Home Assistant (former Hass.io)
 instance directly from the command-line.

~ # opkg install homeassistant-cli
Installing homeassistant-cli (0.9.4-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/homeassistant-cli_0.9.4-1_mipsel-3.4.ipk
Installing python3-click-log (0.3.2-2) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-click-log_0.3.2-2_mipsel-3.4.ipk
Installing python3-dateparser (1.0.0-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-dateparser_1.0.0-1_mipsel-3.4.ipk
Installing python3-decorator (4.4.2-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-decorator_4.4.2-1_mipsel-3.4.ipk
Installing python3-jsonpath-ng (1.5.2-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-jsonpath-ng_1.5.2-1_mipsel-3.4.ipk
Installing python3-netdisco (2.9.0-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-netdisco_2.9.0-1_mipsel-3.4.ipk
Installing python3-regex (2021.8.21-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/python3-regex_2021.8.21-1_mipsel-3.4.ipk
Installing python3-tabulate (0.8.9-1) to root...
Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/python3-tabulate_0.8.9-1_mipsel-3.4.ipk
Configuring python3-dateparser.
Configuring python3-tabulate.
Configuring python3-regex.
Configuring python3-decorator.
Configuring python3-click-log.
Configuring python3-jsonpath-ng.
Configuring python3-netdisco.
Configuring homeassistant-cli.

	 *** Please install homeassistant package manually ***

~ # hass-cli --version
hass-cli, version 0.9.4
~ # 

 

Link to comment
Share on other sites

TheBB, спасибо за обновление,

После обновления в логах появилась ошибка на PyTurboJPEG==1.5.2 и очень долго загружался HA. После pip3 install PyTurboJPEG==1.5.2 ошибка в логах пропала и все заработало как надо.

 

Edited by al12s
Link to comment
Share on other sites

8 минут назад, al12s сказал:

После обновления в логах появилась ошибка на PyTurboJPEG==1.5.2 и очень долго загружался HA. После pip3 install PyTurboJPEG==1.5.2 ошибка в логах пропала и все заработало как надо.

~ # 
~ # opkg info python3-pyturbojpeg
Package: python3-pyturbojpeg
Version: 1.5.2-1
Depends: libc, libssp, librt, libpthread, python3-numpy, libjpeg-turbo
Status: install user installed
Section: lang
Architecture: mipsel-3.4
Size: 9299
Filename: python3-pyturbojpeg_1.5.2-1_mipsel-3.4.ipk
Description: A Python wrapper of libjpeg-turbo for decoding and encoding JPEG image.
Installed-Time: 1630940114

~ #

 

Link to comment
Share on other sites

при установке с "нуля" этот пакет не устанавливается. так же при установки с "нуля" после запуска в log ошибка
Unable to install package python-miio==0.5.6,
хотя установлен python-miio==0.5.8, с ним не работает?

Edited by al12s
Link to comment
Share on other sites

Пакет "python-miio" не собирался, его нет. Надо смотреть откуда НА пытается вытянуть настройки, или с соседнего устройства (с установленным НА), или из облака...

Link to comment
Share on other sites

Подскажите пожалуйста, датчик перенес с одного Xiaomi gateway 3 на другой, физически на первом Xiaomi Gateway 3 его нет, но HA в списке устройство в ячейке интеграция выводить и на первой и второй интеграции. Как отвязать его в HA от первого Xiaomi Gateway 3?

Edited by al12s
Link to comment
Share on other sites

Если зайти в сам датчик в настройки - зависимости, то у него стоит две интеграции, хотя физически от первого Xiaomi Gateway он отвязан, да забыл уточнить, датчик bluetooth.

Link to comment
Share on other sites

В 08.09.2021 в 14:53, al12s сказал:

при установке с "нуля" этот пакет не устанавливается. так же при установки с "нуля" после запуска в log ошибка
Unable to install package python-miio==0.5.6,
хотя установлен python-miio==0.5.8, с ним не работает?

надо ставить сначала gcc. В районе 3-й -4-й страницы я уже спотыкался на эти грабли. Посмотри по моим постам.

В 09.09.2021 в 10:11, al12s сказал:

Если зайти в сам датчик в настройки - зависимости, то у него стоит две интеграции, хотя физически от первого Xiaomi Gateway он отвязан, да забыл уточнить, датчик bluetooth.

у меня НА с большой задержкой иногда отвязывает/цепляет устройства. Попробуй в МиНоме вручную отвяжи его, если еще не сделал. Интеграция стоит XiaomiGateway3 от AlexITT

Link to comment
Share on other sites

Здравствуйте! Подскажите пожалуйста, как решить проблему.

HA поднят на  Keenetic VIVA (KN-1910) на данный момент версия HA 2021.8.8

Интеграции: Tuya (9 устройств), Xiaomi Gateway 3 (13 устройств), Yandex Smart Home.

К сожалению происходит зависание HA раз в 3-4 дня, помогает только полная перезагрузка Keenetic.

На данный момент установка чистая, я не производил update, upgrade, так как при регулярном обновление зависание происходило ежедневно.

Я понимаю что у моей модели мало оперативной памяти, но и зависание не происходит сразу, т.е. такое ощущение что происходит какое то переполнение. Можете ли подсказать вероятную причину и решение? Спасибо!

 

Link to comment
Share on other sites

добрый день, проблема с обновлением Xiaomi Gateway 3 с версии 1.4.0 на новее. После обновления вылетает ошибка. На версии 1.4.0 все работает прекрасно. На версии новее в логах вылетает ошибка: при этом zigbee устройства не активные.

Logger: custom_components.xiaomi_gateway3.core.gateway3
Source: custom_components/xiaomi_gateway3/core/unqlite.py:113
Integration: Xiaomi Gateway 3 (documentation, issues)
First occurred: 14:18:51 (1 occurrences)
Last logged: 14:18:51

Can't read mesh devices

Traceback (most recent call last): File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/gateway3.py", line 741, in _get_devices db = SQLite(raw) File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/unqlite.py", line 87, in __init__ self.read_db_header() File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/unqlite.py", line 113, in read_db_header assert self.read(16) == b'SQLite format 3\0', "Wrong file signature" AssertionError: Wrong file signature

 

Edited by alex1
Link to comment
Share on other sites

В 22.09.2021 в 14:19, alex1 сказал:

добрый день, проблема с обновлением Xiaomi Gateway 3 с версии 1.4.0 на новее. После обновления вылетает ошибка. На версии 1.4.0 все работает прекрасно. На версии новее в логах вылетает ошибка: при этом zigbee устройства не активные.

Logger: custom_components.xiaomi_gateway3.core.gateway3
Source: custom_components/xiaomi_gateway3/core/unqlite.py:113
Integration: Xiaomi Gateway 3 (documentation, issues)
First occurred: 14:18:51 (1 occurrences)
Last logged: 14:18:51

Can't read mesh devices

Traceback (most recent call last): File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/gateway3.py", line 741, in _get_devices db = SQLite(raw) File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/unqlite.py", line 87, in __init__ self.read_db_header() File "/opt/var/lib/homeassistant/custom_components/xiaomi_gateway3/core/unqlite.py", line 113, in read_db_header assert self.read(16) == b'SQLite format 3\0', "Wrong file signature" AssertionError: Wrong file signature

 

Эту проблему решил, версия самого девайса Xiaomi Gateway 3 была 1.4.6_0012  рекомендована AlexxIT, и в этом крылась проблема,

обновил до 1.5.0_0102  рекомендована AlexxIT и все прекрасно завелось.

Edited by al12s
Link to comment
Share on other sites

В 08.09.2021 в 13:50, TheBB сказал:
~ # 
~ # opkg info python3-pyturbojpeg
Package: python3-pyturbojpeg
Version: 1.5.2-1
Depends: libc, libssp, librt, libpthread, python3-numpy, libjpeg-turbo
Status: install user installed
Section: lang
Architecture: mipsel-3.4
Size: 9299
Filename: python3-pyturbojpeg_1.5.2-1_mipsel-3.4.ipk
Description: A Python wrapper of libjpeg-turbo for decoding and encoding JPEG image.
Installed-Time: 1630940114

~ #

Удалил PyTurboJPEG==1.5.2, установил python3-pyturbojpeg ошибки пропали, HA заработал стабильно, но теперь в логах появились ошибки

 

Logger: homeassistant.components.camera.img_util
Source: deps/lib/python3.9/site-packages/turbojpeg.py:492
Integration: Камера (documentation, issues)
First occurred: 12:41:01 (1 occurrences)
Last logged: 12:41:01

Error loading libturbojpeg; Cameras may impact HomeKit performance

Traceback (most recent call last):
  File "/opt/lib/python3.9/site-packages/homeassistant/components/camera/img_util.py", line 96, in __init__
  File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/turbojpeg.py", line 148, in __init__
    self.__find_turbojpeg() if lib_path is None else lib_path)
  File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/turbojpeg.py", line 492, in __find_turbojpeg
    raise RuntimeError(
RuntimeError: Unable to locate turbojpeg library automatically. You may specify the turbojpeg library path manually.
e.g. jpeg = TurboJPEG(lib_path)
 
Link to comment
Share on other sites

В 24.09.2021 в 14:14, al12s сказал:

Удалил PyTurboJPEG==1.5.2, установил python3-pyturbojpeg ошибки пропали, HA заработал стабильно, но теперь в логах появились ошибки

зачистить "хвосты" - /opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/turbojpeg.py /opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/PyTurboJPEG-*

  • Thanks 1
Link to comment
Share on other sites

В 15.09.2021 в 09:55, TheBB сказал:

по данной ссылке установил hass-configurator  таким способом pip install hass-configurator .... как теперь сделать чтоб он запускался автоматически после включения роутера?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...